class Dvisvgm < Formula
  desc "Fast DVI to SVG converter"
  homepage "https://dvisvgm.de"
  url "https://github.com/mgieseki/dvisvgm/releases/download/3.5/dvisvgm-3.5.tar.gz"
  sha256 "41ea2e10fe6bdc4ce7672519cfc2998e5c30c8b29fbcd8901915c7dac7fa494c"
  license "GPL-3.0-or-later"

  depends_on "autoconf" => :build
  depends_on "automake" => :build
  depends_on "libtool" => :build
  depends_on "pkgconf" => :build

  depends_on "brotli"
  depends_on "freetype"
  depends_on "ghostscript"
  depends_on "potrace"
  depends_on "texlive"
  depends_on "woff2"

  uses_from_macos "zlib"

  def install
    args = [
      "--disable-silent-rules",
      "--with-texlive=#{Formula["texlive"].opt_prefix}",
    ]
    args << "--with-zlib=#{Formula["zlib"].opt_prefix}" if OS.linux?

    system "./configure", *args, *std_configure_args
    system "make"
    system "make", "install"

    pkgshare.install "tests/data/sample.dvi"
  end

  test do
    assert_match version.to_s, shell_output("#{bin}/dvisvgm --version")

    # Convert DVI to SVG
    system bin/"dvisvgm", "--no-fonts", pkgshare/"sample.dvi"
    assert_match "This file was generated by dvisvgm #{version}", (testpath/"sample.svg").read
  end
end
